> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a relationship



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs put /api/v1/relationships
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/relationships:
    put:
      tags:
        - client-api-relationship-rest-resource
      summary: Update a relationship
      operationId: updateRelationshipAsCurrentUser
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RelationshipUpdateInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Relationship'
components:
  schemas:
    RelationshipUpdateInput:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        homepage:
          type: string
          pattern: >-
            (https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|(?!(.*www\.){1})[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9]+\.[^\s]{2,}|www\.[a-zA-Z0-9]+\.[^\s]{2,})|
        description:
          type: string
        contextTypes:
          type: array
          items:
            $ref: '#/components/schemas/ContextType'
        dataTypes:
          type: array
          items:
            $ref: '#/components/schemas/DataType'
        businessOwnerFirstName:
          type: string
        businessOwnerLastName:
          type: string
        businessOwnerEmail:
          type: string
        assessmentLeadFirstName:
          type: string
        assessmentLeadLastName:
          type: string
        assessmentLeadEmail:
          type: string
        tags:
          type: array
          items:
            type: string
        externalId:
          type: string
        productName:
          type: string
          maxLength: 255
          minLength: 0
        tier:
          type: integer
          format: int32
          maximum: 5
          minimum: 1
    Relationship:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        homepage:
          type: string
        description:
          type: string
        businessUnit:
          type: string
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        recertificationDate:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - ARCHIVED
            - NOT_ONBOARDED
            - ONBOARDED
            - PURGED
        inherentRisk:
          type: string
          enum:
            - NO_CONTEXT
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        inherentRiskScore:
          type: number
          format: float
        residualRisk:
          type: string
          enum:
            - NO_CONTEXT
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        residualRiskScore:
          type: number
          format: float
        isTransitional:
          type: boolean
        contextTypes:
          type: array
          items:
            $ref: '#/components/schemas/SlimContextTypeView'
          uniqueItems: true
        dataTypes:
          type: array
          items:
            $ref: '#/components/schemas/SlimDataTypeView'
          uniqueItems: true
        businessOwner:
          $ref: '#/components/schemas/VisoUser'
        assessmentLead:
          $ref: '#/components/schemas/VisoUser'
        recertificationType:
          type: string
          enum:
            - MANUAL
            - AUTOMATIC
            - NONE
        subscribers:
          type: array
          items:
            $ref: '#/components/schemas/VisoUser'
          uniqueItems: true
        primaryContact:
          $ref: '#/components/schemas/PrimaryContact'
        tags:
          type: array
          items:
            type: string
          uniqueItems: true
        tier:
          type: string
        complianceStandards:
          type: array
          items:
            type: string
            enum:
              - C5
              - CCPA
              - CSA_STAR
              - CSA_LEVEL2
              - FEDRAMP
              - GDPR
              - GLBA
              - HIPAA
              - HITRUST
              - ISO27001
              - ISO27017
              - ISO27018
              - ISO27701
              - ISO21434
              - ISO22301
              - ISO42001
              - ISOIEC_2700127002
              - ISOIEC_2701727002
              - ISOIEC_2701827002
              - PCIDSS
              - PRIVACY_SHIELD
              - SOC1
              - SOC2
              - SOC3
              - TISAXREPORTLEVEL3
          uniqueItems: true
        latestAssessment:
          $ref: '#/components/schemas/Assessment'
        riskAcceptanceStatus:
          type: string
          enum:
            - RISK_ACCEPTED
            - REVIEW_NEEDED
            - REMEDIATION_REQUESTED
        externalId:
          type: string
        productId:
          type: string
          format: uuid
        productName:
          type: string
        dimensionCoverage:
          type: array
          items:
            $ref: '#/components/schemas/RiskDimensionCoverageDTO'
      required:
        - name
    ContextType:
      type: object
      default: null
      properties:
        name:
          type: string
    DataType:
      type: object
      default: null
      properties:
        name:
          type: string
    SlimContextTypeView:
      type: object
      properties:
        name:
          type: string
      required:
        - name
    SlimDataTypeView:
      type: object
      properties:
        name:
          type: string
      required:
        - name
    VisoUser:
      type: object
      default: null
      properties:
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        businessUnit:
          type: string
    PrimaryContact:
      type: object
      default: null
      properties:
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
    Assessment:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - NOT_ASSESSED
            - AWAITING_REMEDIATION
            - STARTED
            - REVIEW_STARTED
            - AUDIT_COMPLETED
            - COMPLETED
            - CANCELLED
            - DELETED
            - COLLECTING_INFORMATION
        sentToEmail:
          type: string
        createdDate:
          type: string
          format: date-time
        summary:
          type: string
          default: ''
          deprecated: true
        expirationDate:
          type: string
          format: date-time
        completedDate:
          type: string
          format: date-time
        requestedAuditTypes:
          type: array
          items:
            type: string
          uniqueItems: true
        aiProcessingOnly:
          type: boolean
        noVendorResponseAction:
          type: string
          enum:
            - CLOSE_COLLECTION_REQUEST
            - NOTIFY_ME
        collectionTimeline:
          type: string
          enum:
            - SEVEN_DAYS
            - FOURTEEN_DAYS
            - THIRTY_DAYS
            - SIXTY_DAYS
            - NINETY_DAYS
            - ONE_HUNDRED_TWENTY_DAYS
        followupTimeline:
          type: string
          enum:
            - SEVEN_DAYS
            - FOURTEEN_DAYS
            - THIRTY_DAYS
            - SIXTY_DAYS
            - NINETY_DAYS
        followupRiskThreshold:
          type: string
          enum:
            - NO_CONTEXT
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        followupType:
          type: string
          enum:
            - MANUAL
            - AUTOMATIC
            - CONCIERGE
        statusHistories:
          type: array
          items:
            $ref: '#/components/schemas/AssessmentStatusHistory'
          uniqueItems: true
        createdReason:
          type: string
          enum:
            - INITIAL_ASSESSMENT
            - ARTIFACTS_EXPIRED
            - RECERTIFICATION_INITIATED
            - BUSINESS_CASE_OR_DATA_TYPES_CHANGED
            - THIRD_PARTY_CONTACT_UPDATED
            - ARTIFACTS_UPLOADED_ON_RELATIONSHIP
            - REMEDIATION
            - RISK_ADVISORY_RESPONSE
            - INSTANT_ANALYSIS
            - PUBLIC_SEARCH
        assessmentType:
          type: string
        sentToFirstName:
          type: string
        sentToLastName:
          type: string
        recommendations:
          type: array
          items:
            $ref: '#/components/schemas/AssessmentRecommendation'
          uniqueItems: true
        updatedDate:
          type: string
          format: date-time
        phaseDate:
          type: string
          format: date-time
        sentBy:
          $ref: '#/components/schemas/VisoUser'
        requestedArtifactCollection:
          type: boolean
    RiskDimensionCoverageDTO:
      type: object
      properties:
        dimension:
          type: string
        inScope:
          type: boolean
        coverage:
          type: string
        coveragePercentage:
          type: string
    AssessmentStatusHistory:
      type: object
      default: null
      properties:
        date:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - NOT_ASSESSED
            - AWAITING_REMEDIATION
            - STARTED
            - REVIEW_STARTED
            - AUDIT_COMPLETED
            - COMPLETED
            - CANCELLED
            - DELETED
            - COLLECTING_INFORMATION
    AssessmentRecommendation:
      type: object
      default: null
      properties:
        description:
          type: string
        createdDate:
          type: string
          format: date-time
        recommendationType:
          type: string
          enum:
            - EXPIRED
            - HIGH_ASSURANCE
            - CONTROL_DOMAINS
            - COMBINED
            - CERT_ONLY
            - LOW_COVERAGE
            - PRESUMED_ARTIFACT

````